Bug 454662 - (CVE-2008-2932) CVE-2008-2932 Directory Server: adminutil / CGI heap overflow
CVE-2008-2932 Directory Server: adminutil / CGI heap overflow
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
source=redhat,reported=20080704,publi...
: Security
Depends On: 454060
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-09 11:32 EDT by Tomas Hoger
Modified: 2008-09-30 02:41 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-30 02:41:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-07-09 11:32:43 EDT
adminutil is a library of common functions used by multiple CGI scripts shipped
with Red Hat / Fedora Directory Server.

It was discovered that adminutil HTTP unescaping functions did not properly
handle %-encoded inputs, resulting in a miscalculation of memory requirement
needed to hold processed string with special characters replaced with HTML
entities.  This resulted in a heap-based overflow.  An attacker with access to
certain Directory Server's CGI scripts could use this flaw to crash or possibly
execute arbitrary code with the privileges of the Directory Server
Administration Server (unprivileged user, nobody by default, in affected
Directory Server versions).

Problem was introduced by a bug fix included in adminutil 1.1.6, affected
packages were only shipped in Fedora.

Red Hat Directory Server 7.1 and 8 did not contain vulnerable code.
Comment 1 Tomas Hoger 2008-08-27 16:20:02 EDT
Lifting embargo.
Comment 3 Fedora Update System 2008-09-10 02:49:58 EDT
adminutil-1.1.7-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2008-09-10 03:18:10 EDT
adminutil-1.1.7-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Tomas Hoger 2008-09-30 02:40:55 EDT
Patch, that introduced this problem, was a fix for XSS issues tracked via bug
#454621.  The patch was now corrected.
Comment 6 Red Hat Product Security 2008-09-30 02:41:58 EDT
This issue was addressed in:

Fedora:
  https://admin.fedoraproject.org/updates/F8/FEDORA-2008-7642
  https://admin.fedoraproject.org/updates/F9/FEDORA-2008-7339

Note You need to log in before you can comment on or make changes to this bug.